services:
  rabbitmq:
    image: rabbitmq:4.2.4-management-alpine
    hostname: rabbitmq
    container_name: ${CONTAINER_NAME}
    restart: always
    ports:
        - ${PANEL_APP_PORT_SERVICE}:5672
        - ${PANEL_APP_PORT_HTTP}:15672
    environment:
      - RABBITMQ_DEFAULT_USER=${RABBITMQ_DEFAULT_USER}
      - RABBITMQ_DEFAULT_PASS=${RABBITMQ_DEFAULT_PASS}
    volumes:
        - ./data/:/var/lib/rabbitmq/
        - ./log/:/var/log/rabbitmq
    networks:
      - 1panel-network
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true